import * as React from 'react';
export interface AlertProps {
    type?: 'success' | 'info' | 'warning' | 'error';
    message?: React.ReactNode;
    description?: React.ReactNode;
    showIcon?: boolean;
    closable?: boolean;
    closeText?: React.ReactNode;
    onClose?: React.MouseEventHandler<HTMLAnchorElement>;
}
interface AlertState {
    closed: boolean;
}
declare class Alert extends React.Component<AlertProps, AlertState> {
    constructor(props: AlertProps);
    static defaultProps: {
        type: string;
    };
    handleClose: React.MouseEventHandler<HTMLAnchorElement>;
    render(): React.ReactNode;
}
export default Alert;
