"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var classPrefix = 'next-col';
var Col = /** @class */ (function (_super) {
    __extends(Col, _super);
    function Col() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Col.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, style = _b.style, span = _b.span, offset = _b.offset, pull = _b.pull, push = _b.push, className = _b.className;
        var classes = classnames_1.default((_a = {},
            _a[classPrefix + "-" + span] = span,
            _a[classPrefix + "-offset-" + offset] = offset,
            _a[classPrefix + "-pull-" + pull] = pull,
            _a[classPrefix + "-push-" + push] = push,
            _a["" + className] = className,
            _a));
        return (React.createElement("div", { className: classes, style: style }, children));
    };
    return Col;
}(React.Component));
exports.default = Col;
