import * as React from 'react';
export interface TextAreaProps {
    cols?: number;
    rows?: number;
    value?: string;
    defaultValue?: string;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement>;
}
interface TextAreaState {
    value?: string;
}
declare class TextArea extends React.Component<TextAreaProps, TextAreaState> {
    constructor(props: TextAreaProps);
    handleChange: (e: React.ChangeEvent<HTMLTextAreaElement>) => void;
    render(): React.ReactNode;
}
export default TextArea;
