"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var clsPrefix = 'next-progress';
var Circle = /** @class */ (function (_super) {
    __extends(Circle, _super);
    function Circle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Circle.prototype.render = function () {
        var percent = this.props.percent;
        var perimeter = 2 * Math.PI * 43;
        var rate = percent / 100;
        var track = perimeter * rate;
        var strokeDashArray = [track, perimeter - track];
        return (React.createElement("div", { style: { width: 150 } },
            React.createElement("svg", { viewBox: "0 0 100 100" },
                React.createElement("path", { className: clsPrefix + '-circle-trail', d: " M50,93 m 0,-86 a 43,43 0 1 1 0,86 a 43,43 0 1 1 0,-86", strokeWidth: "6", strokeLinecap: "round" }),
                percent > 0 ? (React.createElement("path", { className: clsPrefix + '-circle-track', d: " M50,93 m 0,-86 a 43,43 0 1 1 0,86 a 43,43 0 1 1 0,-86", strokeWidth: "6", strokeLinecap: "round", strokeDasharray: strokeDashArray.join(','), fillOpacity: "0" })) : null)));
    };
    return Circle;
}(React.Component));
exports.default = Circle;
