"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var clsPrefix = 'next-progress';
var Line = /** @class */ (function (_super) {
    __extends(Line, _super);
    function Line() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Line.prototype.render = function () {
        var _a;
        var _b = this.props, stripe = _b.stripe, percent = _b.percent, background = _b.background;
        var classes = classnames_1.default((_a = {},
            _a[clsPrefix + "-bar"] = true,
            _a[clsPrefix + "-bar-stripe"] = stripe,
            _a));
        var style = {
            width: percent + "%",
            "background-color:": background
        };
        return (React.createElement("div", { className: classes, style: style }));
    };
    return Line;
}(React.Component));
exports.default = Line;
