import * as React from 'react';
import RadioContext from './RadioContext';
import RadioGroup from './RadioGroup';
export interface RadioProps {
    value?: any;
    checked?: boolean;
    defaultChecked?: boolean;
    disabled?: boolean;
    onChange?: React.ChangeEventHandler;
}
interface RadioState {
    checked?: boolean;
}
declare class Radio extends React.Component<RadioProps, RadioState> {
    static Group: typeof RadioGroup;
    constructor(props: RadioProps);
    static contextType: React.Context<import("./RadioContext").RadioContextProps>;
    context: React.ContextType<typeof RadioContext>;
    componentWillReceiveProps(nextProps: Readonly<RadioProps>): void;
    handleChange: React.ChangeEventHandler<HTMLInputElement>;
    render(): React.ReactNode;
}
export default Radio;
