import * as React from 'react';
export interface RateItemProps {
    value: number;
    index: number;
    allowHalf?: boolean;
    disabled?: boolean;
    hoverValue?: number;
    onMouseEnter: (index: number, value: number, event: React.MouseEvent) => any;
    onClick: (index: number, value: number, event: React.MouseEvent) => any;
}
declare class RateItem extends React.Component<RateItemProps, {}> {
    itemRef: HTMLDivElement | null;
    static defaultProps: {
        allowHalf: boolean;
        disabled: boolean;
    };
    handleMouseMove: React.MouseEventHandler<HTMLDivElement>;
    handleClick: React.MouseEventHandler<HTMLDivElement>;
    getValue: (e: React.MouseEvent<HTMLDivElement, MouseEvent>) => number;
    render(): JSX.Element;
}
export default RateItem;
