"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var clsPrefix = 'next-select';
var Option = /** @class */ (function (_super) {
    __extends(Option, _super);
    function Option() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleClick = function (e) {
            e.stopPropagation();
            e.nativeEvent.stopImmediatePropagation();
            var _a = _this.props, value = _a.value, children = _a.children, disabled = _a.disabled, optionClick = _a.optionClick;
            if (!disabled) {
                optionClick({
                    value: value,
                    label: children
                });
            }
        };
        _this.isSelected = function () {
            var selectedValues = _this.props.selectedValues;
            var selected = false;
            for (var i = 0; i < selectedValues.length; i++) {
                if (selectedValues[i].value === _this.props.value) {
                    selected = true;
                    break;
                }
            }
            return selected;
        };
        return _this;
    }
    Option.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, disabled = _b.disabled;
        var classes = classnames_1.default((_a = {},
            _a[clsPrefix + "-dropdown-list-item"] = true,
            _a[clsPrefix + "-dropdown-list-item-selected"] = this.isSelected(),
            _a[clsPrefix + "-dropdown-list-item-disabled"] = disabled,
            _a));
        return (React.createElement("li", { className: classes, onClick: this.handleClick }, children));
    };
    return Option;
}(React.Component));
exports.default = Option;
