import * as React from 'react';
export interface SelectProps {
    value?: any;
    defaultValue: any;
    placeholder: string;
    mode: 'multiple' | 'tags' | 'combobox';
    disabled: boolean;
    filterable: boolean;
    filter: any;
    onChange: any;
    children: any;
    style: any;
}
export interface SelectState {
    open?: boolean;
    values: any;
    filterWord: any;
}
declare class Select extends React.Component<SelectProps, SelectState> {
    static defaultProps: {
        filter: (inputValue: any, option: any) => boolean;
    };
    private inputRef;
    constructor(props: SelectProps);
    getLabelFromOption: (value: any, children: any) => null;
    onClick: (e: any) => void;
    documentOnClick: () => void;
    optionClick: (value: any) => void;
    valuesIndexOf: (value: any) => number;
    removeValue: (value: any) => void;
    searchInputOnChange: (e: any) => void;
    renderValues: () => JSX.Element | null;
    renderOptions: (children: any) => any;
    render(): JSX.Element;
}
export default Select;
