import * as React from 'react';
export interface ControlProps {
    clsPrefix?: string;
    value: number;
    min: number;
    max: number;
    step: number;
    slider: any;
    vertical: boolean;
    disabled: boolean;
    onChange: (value: number) => void;
}
export interface ControlState {
    visibles?: any;
    sliding: boolean;
}
declare class Control extends React.Component<ControlProps, ControlState> {
    constructor(props: ControlProps);
    handleMouseOver: React.MouseEventHandler<HTMLDivElement>;
    handleMouseOut: React.MouseEventHandler<HTMLDivElement>;
    handleMouseDown: React.MouseEventHandler<HTMLDivElement>;
    handleMouseUp: any;
    handelMouseMove: (e: MouseEvent) => void;
    addDocumentEvents: () => void;
    removeDocumentEvents: () => void;
    render(): React.ReactElement<any> | string | number | {} | React.ReactNodeArray | React.ReactPortal | boolean | null | undefined;
}
export default Control;
