import * as React from 'react';
export interface SliderProps {
    range: boolean;
    min: number;
    max: number;
    step: number;
    value: number | number[];
    defaultValue: number | number[];
    disabled: boolean;
    vertical: boolean;
    onChange: any;
}
export interface SliderState {
    value: any;
}
declare class Slider extends React.Component<SliderProps, SliderState> {
    constructor(props: SliderProps);
    static defaultProps: {
        range: boolean;
        min: number;
        max: number;
        step: number;
    };
    componentWillReceiveProps(nextProps: SliderProps): void;
    handleTrackClick: (e: any) => void;
    handleFirstControlChange: (v: any) => void;
    handleSecondControlChange: (v: any) => void;
    setValue: (value: any) => void;
    render(): JSX.Element;
}
export default Slider;
