"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var clsPrefix = 'next-spin';
var Spin = /** @class */ (function (_super) {
    __extends(Spin, _super);
    function Spin() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.isNested = function () {
            return !!(_this.props && _this.props.children);
        };
        return _this;
    }
    Spin.prototype.render = function () {
        var _a, _b;
        var _c = this.props, children = _c.children, spinning = _c.spinning;
        var isNested = this.isNested();
        var classes = classnames_1.default((_a = {},
            _a["" + clsPrefix] = true,
            _a[clsPrefix + "-nested"] = isNested,
            _a));
        var containerClasses = classnames_1.default((_b = {},
            _b[clsPrefix + "-container"] = true,
            _b[clsPrefix + "-mask"] = spinning,
            _b));
        var rippleElement = (React.createElement("div", { className: clsPrefix + '-ripple' },
            React.createElement("div", { className: clsPrefix + '-circle' },
                React.createElement("i", null),
                React.createElement("i", null),
                React.createElement("i", null))));
        return (React.createElement("div", { className: classes },
            spinning ? rippleElement : null,
            isNested ? (React.createElement("div", { className: containerClasses }, children)) : null));
    };
    Spin.defaultProps = {
        spinning: true
    };
    return Spin;
}(React.Component));
exports.default = Spin;
