import * as React from 'react';
export interface PopupProps {
    classPrefix?: string;
    visible?: boolean;
    placement?: string;
    target?: any;
    style?: any;
    onMouseEnter?: React.MouseEventHandler;
    onMouseLeave?: React.MouseEventHandler;
}
export interface PopupState {
    left: number;
    top: number;
}
declare class Popup extends React.Component<PopupProps, PopupState> {
    constructor(props: PopupProps);
    static defaultProps: {
        visible: boolean;
    };
    componentDidMount(): void;
    componentWillReceiveProps(): void;
    getDOMNode: () => Element | Text | null;
    computePosition: () => void;
    render(): JSX.Element;
}
export default Popup;
