"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var clsPrefix = 'next-badge';
var Badge = /** @class */ (function (_super) {
    __extends(Badge, _super);
    function Badge() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Badge.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, visible = _b.visible, value = _b.value, overflowValue = _b.overflowValue, isDot = _b.dot;
        var displayValue = (typeof value !== 'undefined' && typeof overflowValue !== 'undefined' && value > overflowValue) ?
            value + "+" : value;
        if (isDot) {
            displayValue = '';
        }
        var contentClasses = classnames_1.default((_a = {},
            _a[clsPrefix + "-content"] = true,
            _a[clsPrefix + "-dot"] = isDot,
            _a));
        return (React.createElement("div", { className: clsPrefix },
            children,
            visible ? React.createElement("sup", { className: contentClasses }, displayValue) : null));
    };
    Badge.defaultProps = {
        value: 0,
        overflowValue: 99,
        visible: true,
        dot: false
    };
    return Badge;
}(React.Component));
exports.default = Badge;
