import * as React from 'react';
import CheckboxContext from './CheckboxContext';
import CheckboxGroup from './CheckboxGroup';
export interface CheckboxProps {
    value?: string;
    checked?: boolean;
    disabled?: boolean;
    defaultChecked?: boolean;
    onChange?: React.ChangeEventHandler;
}
export interface CheckboxState {
    checked?: boolean;
}
declare class Checkbox extends React.Component<CheckboxProps, CheckboxState> {
    static Group: typeof CheckboxGroup;
    static contextType: React.Context<import("./CheckboxContext").CheckboxContextProps>;
    context: React.ContextType<typeof CheckboxContext>;
    constructor(props: CheckboxProps);
    handleChange: React.ChangeEventHandler<HTMLInputElement>;
    render(): React.ReactElement<any> | string | number | {} | React.ReactNodeArray | React.ReactPortal | boolean | null | undefined;
}
export default Checkbox;
