"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var InputContext_1 = require("./InputContext");
var classPrefix = 'next-input-group';
var InputGroup = /** @class */ (function (_super) {
    __extends(InputGroup, _super);
    function InputGroup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    InputGroup.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, style = _b.style, size = _b.size;
        var contextValue = {
            inputGroup: {
                size: size
            }
        };
        var classes = classnames_1.default(classPrefix, (_a = {},
            _a[classPrefix + "-" + size] = size,
            _a));
        return (React.createElement(InputContext_1.default.Provider, { value: contextValue },
            React.createElement("div", { className: classes, style: style }, children)));
    };
    return InputGroup;
}(React.Component));
exports.default = InputGroup;
