declare type NotificationType = 'success' | 'error' | 'info' | 'warning';
declare type PlacementType = 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight';
export interface NoticeConfig {
    duration: number;
    placement: PlacementType;
    title: any;
    description: any;
    icon: NotificationType;
    onClose: any;
}
declare const _default: {
    open: (config: NoticeConfig) => void;
    info: (config: NoticeConfig) => void;
    success: (config: NoticeConfig) => void;
    warning: (config: NoticeConfig) => void;
    error: (config: NoticeConfig) => void;
};
export default _default;
