import * as React from 'react';
export declare type ProgressType = 'line' | 'circle' | 'dashboard';
export declare type ProgressStatus = 'success' | 'exception' | 'active';
export interface ProgressProps {
    type: ProgressType;
    percent: number;
    stripe?: boolean;
    background?: string | Function;
    status: ProgressStatus | null;
    showInfo: boolean;
}
declare class Progress extends React.Component<ProgressProps, {}> {
    static defaultProps: {
        type: string;
        percent: number;
        showInfo: boolean;
    };
    render(): React.ReactElement<any> | string | number | {} | React.ReactNodeArray | React.ReactPortal | boolean | null | undefined;
}
export default Progress;
