"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var icon_1 = require("../icon");
var clsPrefix = 'next-progress';
var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Text.prototype.render = function () {
        var _a = this.props, percent = _a.percent, status = _a.status, type = _a.type;
        var successIconType, exceptionIconType;
        if (type === 'line') {
            successIconType = 'checkmark-circle';
            exceptionIconType = 'close-circle';
        }
        else {
            successIconType = 'checkmark';
            exceptionIconType = 'close';
        }
        return (React.createElement("span", { className: clsPrefix + '-text' }, status === 'success' ? React.createElement(icon_1.default, { type: successIconType }) :
            status === 'exception' ? React.createElement(icon_1.default, { type: exceptionIconType }) : (percent + '%')));
    };
    return Text;
}(React.Component));
exports.default = Text;
