import * as React from 'react';
import { InputProps } from "../input/Input";
export interface RateProps {
    count: number;
    value?: number;
    defaultValue?: number;
    character: React.ReactNode;
    allowHalf: boolean;
    style: object;
    disabled: boolean;
    onChange: (index: number) => any;
}
interface RateState {
    hoveredItemCount: number;
    value?: number;
}
declare class Rate extends React.Component<RateProps, RateState> {
    constructor(props: RateProps);
    static getDerivedStateFromProps(props: InputProps): {
        value: string | undefined;
    } | null;
    static defaultProps: {
        count: number;
        character: JSX.Element;
        allowHalf: boolean;
    };
    handleItemMouseEnter: (index: number, value: number) => void;
    handleItemClick: (index: number, value: number) => void;
    handleMouseLeave: () => void;
    render(): React.ReactNode;
}
export default Rate;
