import * as React from 'react';
export interface SwitchProps {
    checked?: boolean;
    defaultChecked?: boolean;
    disabled?: boolean;
    checkedChildren?: React.ReactNode;
    uncheckedChildren?: React.ReactNode;
    onChange?: (checked: boolean, event: React.MouseEvent) => any;
}
interface SwitchState {
    checked?: boolean;
}
declare class Switch extends React.Component<SwitchProps, SwitchState> {
    constructor(props: SwitchProps);
    static getDerivedStateFromProps(props: SwitchProps): {
        checked: boolean | undefined;
    } | null;
    handleClick: React.MouseEventHandler<HTMLElement>;
    render(): React.ReactNode;
}
export default Switch;
