import * as React from 'react';
export interface TimePickerProps {
    value?: any;
    defaultValue?: any;
    placeholder: string;
    disabled: boolean;
    hourStep: number;
    minuteStep: number;
    secondStep: number;
    onChange: any;
}
export interface TimePickerState {
    showPicker: boolean;
    value: any;
}
declare class TimePicker extends React.Component<TimePickerProps, TimePickerState> {
    constructor(props: TimePickerProps);
    documentOnClick: () => void;
    handleInputClick: () => false | undefined;
    handleComboboxChange: (time: any) => void;
    getFormatValue: () => string;
    render(): JSX.Element;
}
export default TimePicker;
