import * as React from 'react';
export interface UploadProps {
    fileList?: any[];
    defaultFileList?: any[];
    name: string;
    action: string;
    accept: any;
    multiple: any;
    data: any;
    listType: 'text' | 'picture' | 'picture-card';
    beforeUpload: any;
    headers?: any;
    onChange?: any;
}
export interface UploadState {
    fileList: any[];
    inputKey: any;
}
declare class Upload extends React.Component<UploadProps, UploadState> {
    private fileInput;
    private reqs;
    constructor(props: UploadProps);
    static defaultProps: {
        name: string;
        multiple: boolean;
        listType: string;
    };
    componentWillReceiveProps(nextProps: UploadProps): void;
    handleClick: () => void;
    handleBeforeUpload: (file: any, files: any) => any;
    handleFileChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    uploadFiles: (files: FileList | null) => void;
    postFile: (file: any) => void;
    handleChange: (file: any) => void;
    resetFileInput: () => void;
    handleRemoveFile: (file: any) => void;
    render(): JSX.Element;
}
export default Upload;
