"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1() {
    var func = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        func[_i] = arguments[_i];
    }
    return func.filter(function (f) { return !!f; })
        .reduce(function (cf, f) {
        if (typeof f === 'function') {
            if (!cf) {
                return f;
            }
            return function chainedFunc() {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                cf.apply(this, args);
                f.apply(this, args);
            };
        }
    }, null);
}
exports.default = default_1;
